[packagers] libgc breaks asymptote from fedora-extras

Rex Dieter rdieter at math.unl.edu
Tue Dec 19 19:41:41 CET 2006


Rex Dieter wrote:
> Dries Verachtert wrote:
>> On Monday 11 December 2006 7:58 pm, Jens Hoelldampf wrote:
>>> Hi,
>>>
>>> libgc-6.8-1.fc6.rf obsoletes the package gc which is in fedora-extras.
>>>
>>> gc provides
>>>     /usr/lib/libgc.so.1
>>> and    /usr/lib/libgccpp.so.1
>>> but libgc only provides
>>>     /usr/lib/libgc.so.1.
>>>
>>> That's why asymptote from fedora-extras does not run any more.
>>>
>>> Adding --enable-cplusplus to %configure in libgc.spec (like in gc.spec)
>>> should solve this problem.
>>
>> Thanks for the info! I've changed the spec file and i'll make new 
>> packages.
> 
> I know it may be heresy to say so here, but... or you could simply stop 
> providing/overriding packages already included in fedora-extras.

While you're at it, please please do not use Unversioned Obsoletes, 
which could lead to loops, esp since I added
Obsoletes: libgc < %{version}-%{release}
Provides:  libgc = %{version}-%{release}
to Extra's gc packaging to be rpmforge-compatible.

-- Rex



More information about the packagers mailing list